Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.extension.xmlrpc.handler
Class APIHandler

    java.lang.Object
      org.blojsom.extension.xmlrpc.handler.APIHandler

Direct Known Subclasses:
  BloggerAPIHandler, MetaWeblogAPIHandler, MovableTypeAPIHandler, PingbackHandler

public abstract class APIHandler
extends java.lang.Object

API Handler

Since:
  blojsom 3.0
Version:
  $Id: APIHandler.java,v 1.2 2006/04/05 00:44:02 czarneckid Exp $
Author:
  David Czarnecki

Field Summary
`protected AuthorizationProvider` | `_authorizationProvider`
`protected Blog` | `_blog`
`protected EventBroadcaster` | `_eventBroadcaster`
`protected Fetcher` | `_fetcher`
`protected javax.servlet.http.HttpServletRequest` | `_httpServletRequest`
`protected javax.servlet.http.HttpServletResponse` | `_httpServletResponse`
`protected java.util.Properties` | `_properties`
`protected javax.servlet.ServletConfig` | `_servletConfig`
`protected static int` | `AUTHORIZATION_EXCEPTION`
`protected static java.lang.String` | `AUTHORIZATION_EXCEPTION_MSG`
`protected static int` | `INVALID_POSTID`
`protected static java.lang.String` | `INVALID_POSTID_MSG`
`protected static int` | `NOBLOGS_EXCEPTION`
`protected static java.lang.String` | `NOBLOGS_EXCEPTION_MSG`
`protected static int` | `PERMISSION_EXCEPTION`
`protected static java.lang.String` | `PERMISSION_EXCEPTION_MSG`
`protected static int` | `UNKNOWN_EXCEPTION`
`protected static java.lang.String` | `UNKNOWN_EXCEPTION_MSG`
`protected static int` | `UNSUPPORTED_EXCEPTION`
`protected static java.lang.String` | `UNSUPPORTED_EXCEPTION_MSG`

Constructor Summary
`APIHandler()`

Method Summary
`protected void` | `checkXMLRPCPermission(java.lang.String username, java.lang.String permission)` Check XML-RPC permissions for a given username
`abstract java.lang.String` | `getName()` Retrieve the API handler name
`void` | `setAuthorizationProvider(AuthorizationProvider authorizationProvider)` Set the `AuthorizationProvider`
`void` | `setBlog(Blog blog)` Set the `Blog`
`void` | `setEventBroadcaster(EventBroadcaster eventBroadcaster)` Set the `EventBroadcaster`
`void` | `setFetcher(Fetcher fetcher)` Set the `Fetcher`
`void` | `setHttpServletRequest(javax.servlet.http.HttpServletRequest httpServletRequest)` Set the `HttpServletRequest`
`void` | `setHttpServletResponse(javax.servlet.http.HttpServletResponse httpServletResponse)` Set the `HttpServletResponse`
`void` | `setProperties(java.util.Properties properties)` Set the properties for the handler
`void` | `setServletConfig(javax.servlet.ServletConfig servletConfig)` Set the `ServletConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AUTHORIZATION_EXCEPTION

    protected static final int AUTHORIZATION_EXCEPTION

See Also:
  Constant Field Values

### AUTHORIZATION_EXCEPTION_MSG

    protected static final java.lang.String AUTHORIZATION_EXCEPTION_MSG

See Also:
  Constant Field Values

### UNKNOWN_EXCEPTION

    protected static final int UNKNOWN_EXCEPTION

See Also:
  Constant Field Values

### UNKNOWN_EXCEPTION_MSG

    protected static final java.lang.String UNKNOWN_EXCEPTION_MSG

See Also:
  Constant Field Values

### UNSUPPORTED_EXCEPTION

    protected static final int UNSUPPORTED_EXCEPTION

See Also:
  Constant Field Values

### UNSUPPORTED_EXCEPTION_MSG

    protected static final java.lang.String UNSUPPORTED_EXCEPTION_MSG

See Also:
  Constant Field Values

### INVALID_POSTID

    protected static final int INVALID_POSTID

See Also:
  Constant Field Values

### INVALID_POSTID_MSG

    protected static final java.lang.String INVALID_POSTID_MSG

See Also:
  Constant Field Values

### NOBLOGS_EXCEPTION

    protected static final int NOBLOGS_EXCEPTION

See Also:
  Constant Field Values

### NOBLOGS_EXCEPTION_MSG

    protected static final java.lang.String NOBLOGS_EXCEPTION_MSG

See Also:
  Constant Field Values

### PERMISSION_EXCEPTION

    protected static final int PERMISSION_EXCEPTION

See Also:
  Constant Field Values

### PERMISSION_EXCEPTION_MSG

    protected static final java.lang.String PERMISSION_EXCEPTION_MSG

See Also:
  Constant Field Values

### _authorizationProvider

    protected AuthorizationProvider _authorizationProvider

### _fetcher

    protected Fetcher _fetcher

### _blog

    protected Blog _blog

### _httpServletRequest

    protected javax.servlet.http.HttpServletRequest _httpServletRequest

### _httpServletResponse

    protected javax.servlet.http.HttpServletResponse _httpServletResponse

### _eventBroadcaster

    protected EventBroadcaster _eventBroadcaster

### _properties

    protected java.util.Properties _properties

### _servletConfig

    protected javax.servlet.ServletConfig _servletConfig

Constructor Detail

### APIHandler

    public APIHandler()

Method Detail

### setAuthorizationProvider

    public void setAuthorizationProvider(AuthorizationProvider authorizationProvider)

  Set the `AuthorizationProvider`

  Parameters:
    `authorizationProvider` - `AuthorizationProvider`

### setFetcher

    public void setFetcher(Fetcher fetcher)

  Set the `Fetcher`

  Parameters:
    `fetcher` - `Fetcher`

### setBlog

    public void setBlog(Blog blog)

  Set the `Blog`

  Parameters:
    `blog` - `Blog`

### setHttpServletRequest

    public void setHttpServletRequest(javax.servlet.http.HttpServletRequest httpServletRequest)

  Set the `HttpServletRequest`

  Parameters:
    `httpServletRequest` - `HttpServletRequest`

### setHttpServletResponse

    public void setHttpServletResponse(javax.servlet.http.HttpServletResponse httpServletResponse)

  Set the `HttpServletResponse`

  Parameters:
    `httpServletResponse` - `HttpServletResponse`

### setEventBroadcaster

    public void setEventBroadcaster(EventBroadcaster eventBroadcaster)

  Set the `EventBroadcaster`

  Parameters:
    `eventBroadcaster` - `EventBroadcaster`

### setServletConfig

    public void setServletConfig(javax.servlet.ServletConfig servletConfig)

  Set the `ServletConfig`

  Parameters:
    `servletConfig` - `ServletConfig`

### setProperties

    public void setProperties(java.util.Properties properties)

  Set the properties for the handler

  Parameters:
    `properties` - Handler properties

### getName

    public abstract java.lang.String getName()

  Retrieve the API handler name

  Returns:
    API handler name

### checkXMLRPCPermission

    protected void checkXMLRPCPermission(java.lang.String username,
                                         java.lang.String permission)
                                  throws org.apache.xmlrpc.XmlRpcException

  Check XML-RPC permissions for a given username

  Parameters:
    `username` - Username
    `permission` - Permisison to check
  Throws:
    `org.apache.xmlrpc.XmlRpcException` - If the username does not have the required permission

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD